#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n,i,j;
    scanf("%d",&n);
    int A[n];
    double P[n],zbir=0.0,maks,makspom;
    for(i=0;i<n;i++)
    {
        scanf("%d",&A[i]);
        scanf("%lf",&P[i]);
    }
    for(j=0;j<n;j++)
    {
        zbir=0.0;
        for(i=0;i<n;i++)
        {
            if(P[j]<=P[i])
            {
                zbir=zbir+A[i];
            }
        }
        if(j==0)
        {
            maks=zbir*(P[j]/100);
        }
        else
        {
            makspom=zbir*(P[j]/100);
            if(makspom>maks)
            {
                maks=makspom;
            }
        }
    }
    printf("%lf",maks);
    return 0;
}